<?php
/**
*
* @package acp
* @copyright (c) 2011 liptonace
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package acp
*/
class acp_bbcode_hider
{
	var $u_action;
	function main($id, $mode)
	{
		global $db, $user, $auth, $template;
		global $config, $phpbb_root_path, $phpbb_admin_path, $phpEx;

		$action = request_var('action', '');
		$submit = (isset($_POST['submit'])) ? true : false;

		if ($mode != 'index')
		{
			return;
		}

		$this->tpl_name = 'acp_bbcode_hider';
		$this->page_title = 'ACP_BBCODE_HIDER_SETTINGS';

		$bbcode_hider_enable = request_var('bbcode_hider_enable', $config['bbcode_hider_enable']);

		$forums_ids = explode(',', trim($config['bbcode_hider_forums']));
		$forum_list = make_forum_select(false, false, true, true, true, false, true);
		$s_forum_options = '<select id="bbcode_hider_forums" name="bbcode_hider_forums[]" multiple="multiple" style="height: 200px">';
		foreach ($forum_list as $f_id => $f_row)
		{
			$s_forum_options .= '<option value="' . $f_id . '"' . ((in_array($f_id, $forums_ids)) ? ' selected="selected"' : '') . (($f_row['disabled']) ? ' disabled="disabled" class="disabled-option"' : '') . '>' . $f_row['padding'] . $f_row['forum_name'] . '</option>';
		}
		$s_forum_options .= '</select>';

		$bbcode_hider_announce = request_var('bbcode_hider_announce', $config['bbcode_hider_announce']);
		$bbcode_hider_bbcodes = request_var('bbcode_hider_bbcodes', $config['bbcode_hider_bbcodes']);
		$bbcode_hider_bbcodes_b = request_var('bbcode_hider_bbcodes_b', $config['bbcode_hider_bbcodes_b']);

		$form_name = 'acp_bbcode_hider';
		add_form_key($form_name);

		if ($submit)
		{
			$selected_forums = request_var('bbcode_hider_forums', array(0 => 0));
			foreach($selected_forums as $key => $val)
			{
				$values = ($values) ? $values . ',' . $val : $val;
			}

			if (strlen($values) > 255)
			{
				trigger_error($user->lang['BBCODE_HIDER_LIMIT_FORUMS_ERROR'] . adm_back_link($this->u_action), E_USER_WARNING);
			}
			if (strlen($bbcode_hider_bbcodes) > 255)
			{
				trigger_error($user->lang['BBCODE_HIDER_LIMIT_BBCODES_ERROR'] . adm_back_link($this->u_action), E_USER_WARNING);
			}
			if (strlen($bbcode_hider_bbcodes_b) > 255)
			{
				trigger_error($user->lang['BBCODE_HIDER_LIMIT_BBCODES_ERROR'] . adm_back_link($this->u_action), E_USER_WARNING);
			}

			$error = array();

			$message = $user->lang['BBCODE_HIDER_SETTINGS_CHANGED'];
			$log = 'BBCODE_HIDER_SETTINGS_CHANGED';

			set_config('bbcode_hider_enable', $bbcode_hider_enable);
			set_config('bbcode_hider_forums', $values);
			set_config('bbcode_hider_announce', $bbcode_hider_announce);
			set_config('bbcode_hider_bbcodes', $bbcode_hider_bbcodes);
			set_config('bbcode_hider_bbcodes', $bbcode_hider_bbcodes);
			set_config('bbcode_hider_bbcodes_b', $bbcode_hider_bbcodes_b);

			add_log('admin', 'LOG_' . $log);
			trigger_error($message . adm_back_link($this->u_action));
		}

		$template->assign_vars(array(
			'U_ACTION'					=> $this->u_action,
			'BBCODE_HIDER_ENABLE'		=> $bbcode_hider_enable,
			'BBCODE_HIDER_FORUMS'		=> $s_forum_options,
			'BBCODE_HIDER_ANNOUNCE'		=> $bbcode_hider_announce,
			'BBCODE_HIDER_BBCODES'		=> $bbcode_hider_bbcodes,
			'BBCODE_HIDER_BBCODES_B'	=> $bbcode_hider_bbcodes_b,
		));
	}
}

?>