<?php
/**
 *
 * @author liptonace
 * @version $Id$
 * @copyright (c) 2011 
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 *
 */

/**
 * @ignore
 */
define('UMIL_AUTO', true);
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);

include($phpbb_root_path . 'common.' . $phpEx);
$user->session_begin();
$auth->acl($user->data);
$user->setup();


if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

/*
* The language file which will be included when installing
* Language entries that should exist in the language file for UMIL (replace $mod_name with the mod's name you set to $mod_name above)
* $mod_name
* 'INSTALL_' . $mod_name
* 'INSTALL_' . $mod_name . '_CONFIRM'
* 'UPDATE_' . $mod_name
* 'UPDATE_' . $mod_name . '_CONFIRM'
* 'UNINSTALL_' . $mod_name
* 'UNINSTALL_' . $mod_name . '_CONFIRM'
*/
$language_file = 'mods/info_acp_bbcode_hider';

// The name of the mod to be displayed during installation.
$mod_name = 'ACP_BBCODE_HIDER_INDEX_TITLE';

/*
* The name of the config variable which will hold the currently installed version
* UMIL will handle checking, setting, and updating the version itself.
*/
$version_config_name = 'bbcode_hider_version';

/*
* The array of versions and actions within each.
* You do not need to order it a specific way (it will be sorted automatically), however, you must enter every version, even if no actions are done for it.
*
* You must use correct version numbering.  Unless you know exactly what you can use, only use X.X.X (replacing X with an integer).
* The version numbering must otherwise be compatible with the version_compare function - http://php.net/manual/en/function.version-compare.php
*/
$versions = array(
	'1.0.0' => array(
		'config_add' => array(
			array('bbcode_hider_enable', '0', 0),
			array('bbcode_hider_forums', '', 0),
			array('bbcode_hider_announce', '1', 0),
			array('bbcode_hider_bbcodes', 'code,quote', 0),
		),

		'module_add' => array(
            array('acp', 'ACP_CAT_DOT_MODS', 'ACP_BBCODE_HIDER'),
		    array('acp', 'ACP_BBCODE_HIDER', array(
					'module_basename'	=> 'bbcode_hider',
					'module_langname'	=> 'ACP_BBCODE_HIDER_SETTINGS',
					'module_mode'		=> 'index',
					'module_auth'		=> 'acl_a_board',
				),
			),	
		),	
		'cache_purge' => array(
			array('imageset', 0),
			array('theme', 0),
			array(),
		),
	),
	'1.0.1' => array(
		'config_add' => array(
			array('bbcode_hider_bbcodes_b', 'url,img,flash', 0),
		),
	),
);

// Include the UMIL Auto file, it handles the rest
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);